critical.valuesWCO <-
function(s0,noctave,nvoice,w0,sw,siglevel=0.95)
	{
	cv=rep(0,length(siglevel))
	for (i in 1:length(siglevel))
		{
		if (siglevel[i]!=0.9 && siglevel[i]!=0.95 && siglevel[i]!=0.99) { siglevel[i] <- 0.95 }
		if (siglevel[i]==0.9)
			{
      			cat("# significance level set to 0.90 \n")
      			swr <- 1.0*sw/nvoice
      			cv[i] <- 0.00246872*w0^2*swr + 0.0302419*w0*swr^2 + 0.342056*swr^3 - 0.000425853*w0^2 - 0.101749*w0*swr - 0.703537*swr^2 + 0.00816219*w0 + 0.442342*swr + 0.970315
    			}
		if (siglevel[i]==0.95)
			{
      			cat("# significance level set to 0.95 \n")
      			swr <- sw*100.0/3.0/nvoice
      			cv[i] <- 0.0000823*w0^3 + 0.0000424*w0^2*swr + 0.0000113*w0*swr^2 + 0.0000154*swr^3 - 0.0023*w0^2 - 0.00219*w0*swr - 0.000751*swr^2 + 0.0205*w0 + 0.0127*swr + 0.95
    			}
		if (siglevel[i]==0.99)
			{
      			cat("# significance level set to 0.99 \n")
      			swr <- 1.0*sw/nvoice
      			cv[i] <- 0.00102304*w0^2*swr +  0.00745772*w0*swr^2 + 0.230035*swr^3 - 0.000361565*w0^2 - 0.0502861*w0*swr - 0.440777*swr^2 + 0.00694998*w0 + 0.29643*swr + 0.972964
    			}
		if (cv[i]>1) { cv[i] <- 1 }
		cat(paste("# significance testing, cv=",cv[i]," \n",sep=""))      
		}
	}
