plot.cv <-
function(t,wt,cv)
	{
	if (length(dim(cv))==0) { contour(x=t,z=wt,levels=c(cv),drawlabels=FALSE,axes=FALSE,add=TRUE) }
	else
		{
		for(i in 1:nrow(cv))
			{
      			v <- cv[i,]
      			v[v==0] <- 9999
      			m <- matrix(rep(v,length(t)),nrow=length(t),byrow=TRUE)
      			contour(x=t,z=wt/m,levels=1,drawlabels=FALSE,axes=FALSE,add=TRUE)
    			}
  		}   
	}
