rk <-
function(N=1000,s=8,noctave=6,nvoice=20,w0=6,plot=TRUE)
	{
	t <- 1:N
  	sunit <- s*(w0+sqrt(2+w0*w0))/(4*pi)
	s0 <- 4
	#s0unit <- s0*(w0+sqrt(2+w0*w0))/(4*pi)
	s0unit=s0/dt*w0/(2*pi)                  #(CORRECT) 
	s0log <- as.integer((log2(s0unit)-1)*nvoice+1.5)
	totnoct <- noctave+as.integer(s0log/nvoice)+1	
	x <- morlet(N,N/2,sunit,w0)
	totts.cwt <- Mod(cwt(x,totnoct,nvoice,w0,plot=0))
	wt=totts.cwt[,s0log:(s0log+noctave*nvoice)]
	wt <- wt/max(wt)
	if (plot==TRUE) { plot.wt(wt,0,t,s0,noctave,w0,units="",plottitle="Reproducing Kernel") } 
	wt
	}
