splitdata <-
function(ass,clim,coord,istep)
{
# sort data according to the first pc
# and select 1 row each istep one for validation

# initialisation
x<-as.data.frame(clim)
n<-nrow(x)
m<-ncol(x)
xord<-matrix(0,n,m)
seqver<-seq(1,n,by=istep)
nv<-length(seqver)
nc<-n-nv
split<-list(title="list of calibration and verification matrices")

# principal component analysis on the climate

pc<-princomp(x,cor=TRUE)
pc1<-pc$scores[,1]
pc1ord<-order(pc1)
xord<-x[pc1ord,]
split$climc<-matrix(data=0,ncol=nc,nrow=m)
split$climv<-matrix(data=0,ncol=nv,nrow=m)
split$climc<-xord[-seqver,1:m]
split$climv<-xord[seqver,1:m]

# sort assemblges

x<-as.data.frame(ass)
n<-nrow(x)
m<-ncol(x)
xord<-matrix(0,n,m)
xord<-x[pc1ord,]
split$assc<-matrix(data=0,ncol=nc,nrow=m)
split$assv<-matrix(data=0,ncol=nv,nrow=m)
split$assc<-xord[-seqver,1:m]
split$assv<-xord[seqver,1:m]

# sort coordinates

x<-as.data.frame(coord)
n<-nrow(x)
m<-ncol(x)
xord<-matrix(0,n,m)
xord<-x[pc1ord,]
split$coordc<-matrix(data=0,ncol=nc,nrow=m)
split$coordv<-matrix(data=0,ncol=nv,nrow=m)
split$coordc<-xord[-seqver,1:m]
split$coordv<-xord[seqver,1:m]

return(split)
}
