bestanal <-
function (ref0,fos0,option=0,wghts=NULL,mcon=NULL,fcon=NULL) 
{
	ref=ref0
	fos=fos0
	nref<-nrow(ref)
	nfos<-nrow(fos)
	m<-ncol(fos)
# weights
	if (is.null(wghts)) {wghts=rep(1/m,m)}
	wghts=wghts/sum(wghts)
	W=diag(wghts)

# constraints
	if (is.null(mcon) | is.null(fcon)) {
		mcon=rep(" ",nrow(ref0))
		fcom=rep(" ",nrow(fos0))}

# init
	if (identical(m,ncol(ref))==FALSE) stop ("both matrices ref and fos have not same number of columns")
	mdist="euclidian"
	if(option==3) {mdist="canberra"}
	matrice.dist<-rep(0,nref)
	matrice.sort<-rep(0,nref)
	anal<-list(title="list of best analogues followed by their distances")
	anal$list<-matrix(data=0,ncol=nref,nrow=nfos)
	anal$dist<-matrix(data=0,ncol=nref,nrow=nfos)
	anal$seuil<-NA
	term=5
	if(max(ref)<=1) {term=0.005}
	if(max(ref)>1 & max(ref)<=100) {term=0.5}
	term1=term/5
# transformation
	if (option==1) {
		ref <-sqrt(ref )
		fos<-sqrt(fos) }
	if (option==2) {
#		ref <-log((ref-min(ref))/(max(ref)-min(ref))*1000+1 ) 
#		fos <-log((fos-min(fos))/(max(fos)-min(fos))*1000+1 )  }
#		ref[ref<term1]=term1
#		fos[fos<term1]=term1
		ref <-log(ref+term1)
		fos<-log(fos+term1) }
	for (i in 1:nfos){
		fos2<-matrix(as.matrix(fos[i,]),nref,m,byrow=TRUE)
		if (option<=2) {
			dd<-(as.matrix(ref)-fos2)^2 
		} else {
			dd<-abs(as.matrix(ref)-fos2 )/pmax(ref+fos2,matrix(0.00001,nref,m))
		}
		dd=dd%*%W
		matrice.dist <- apply(dd,1,sum,na.rm=TRUE)
		matrice.dist[which(mcon!=fcon[i])]=1e+10
		matrice.sort <- order(matrice.dist,na.last=TRUE)
		if (length(matrice.sort)>0) {
			anal$list[i,1:length(matrice.sort)]<-matrice.sort
			matrice.sort <- sort(matrice.dist,na.last=TRUE)
  			anal$dist[i,1:length(matrice.sort)] <- matrice.sort
  		}
	}
# seuil
	dalea<-rep(0,nref)
	if (option<=2) 
	{
	for (i in 1:nref) 
		{
		i2<-sample(1:nref,2)
		ii<-i2[1]
		if (i2[1]==i) {ii<-i2[2]}
		dal<-(ref[i,]-ref[ii,])^2
		dalea[i]=sum(dal%*%W) }
		}
		else
 		{
		for (i in 1:nref) 
			{
			i2<-sample(1:nref,2)
			ii<-i2[1]
			if (i2[1]==i) {ii<-i2[2]}
			dal<-abs(ref[i,]-ref[ii,])/pmax(ref[i,]+ref[ii,],0.00001)
			dalea[i]=sum(dal%*%W)
			}
		} 
	anal$seuil<-as.numeric(quantile(sample(dalea,1000,replace=TRUE),0.25,na.rm=TRUE))
	cat("Threshold adopted (1st quartile of random distances) =",anal$seuil,"\n")
	return(anal)
}
