\name{ClusKMeans}
\alias{ClusKMeans}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Clustering using kmeans technique }
\description{
  performs a cluster analysis on a data matrix using kmeans technique
}
\usage{
output=ClusKMeans(xmatname,maxclus,maxiter,outfile=NULL)
}
\arguments{
  \item{xmatname}{ \code{xmatname} is the data matrix }
  \item{maxclus}{ \code{maxclus} is maximum number of clusters }
  \item{maxiter}{ \code{maxiter} is the maximum number of iteration (for the selection of the clusters number }
}
\details{
  This script uses the method of kmeans (package stats); the selection of clusters is based on a plot of the ratio (intra-group variance) / (inter-group variance). 
  Successively k clusters are tried (k=2, 3, ... maxclus) and the variance ratio is plotted. This is repeated maxiter times to check how random are the results. 
  All the maxiter curves are plotted together with the mean. Then it is asked to give the optimum number of clusters; this must be determined visually by the user.
  A good number is after a break in a portion of the plot where the dispersion between the maxiter ratio is low. 
}
\value{
  outputs are those provided by kmeans 

}
\references{ ~ ~ }
\author{ F. Torre }
\note{ void
}
\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
output=ClusKMeans(ss700po)
}

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ clustering }
\keyword{ classification  }