\name{bioindic-package}
\alias{bioindic-package}
\alias{bioindic}
\docType{package}
\title{ bioindic-package }
\description{
  This package computes environmental bioindicators based on biological data. It is used in paleoecology, paleoclimatology, dendroclimatology for example to calculate some indicators of past climate from micropaleontological assemblages and from tree-rings variables. It provides methods to synthesize the assemblages, to calculate response fonctions, transfer functions. The paleoecological assemblages usually concerned are poll, diatoms, foraminifera, dinocysts. The methods are calibration methods (regressions, GAM, neural networks) and similarity-based methods (best analogues, clustering …).
}
\details{
\tabular{ll}{
Package:     bioindic
Type:        Package
Version:     4.0
Date:        2014-05-20
License:     J. Guiot
}

}
\references{ ~ ~ }
\author{ J. Guiot }
\note{ void }

\keyword{ package }
\seealso{
~~ \code{\link[<pkg>:<pkg>-package]{<pkg>}} ~~
}
\examples{
~~ see help of the functions ~~
}
